List Batches

Return a paginated list of batches.

Query Parameters
  • account_id
    Type: string | null · Account Id

    Filter by owning account

  • terminal_id
    Type: string | null · Terminal Id

    Filter by terminal ID

  • statuses
    Type: array string[] · Statusesenum

    Filter by batch lifecycle statuses

    values
    • open
    • closed
    • submitted
    • accepted
    • partially_accepted
    • rejected
    • cancelled
    • Type: string · BatchStatusenum

      Possible lifecycle statuses for settlement batches.

      values
      • open
      • closed
      • submitted
      • accepted
      • partially_accepted
      • rejected
      • cancelled
  • processor_config_id
    Type: string | null · Processor Config Id

    Filter by processor config ID

  • limit
    Type: integer · Limit
    min:  
    1
    max:  
    500

    Maximum items per page

  • offset
    Type: integer · Offset
    min:  
    0

    Number of items to skip

Headers
  • Accept
    enum
    const:  
    application/json
    required

    Response format. Must be application/json.

    values
    • application/json
Responses
  • application/json
  • application/json
Request Example for get/v1/batches
curl 'https://api.uat.koard.com/v1/batches?account_id=null&terminal_id=null&statuses=open&processor_config_id=null&limit=50&offset=0' \
  --header 'Accept: application/json' \
  --header 'x-koard-apikey: YOUR_SECRET_TOKEN'
{
  "batches": [
    {
      "account_id": "string",
      "batch_metadata": null,
      "captured_amount": 0,
      "closed_at": null,
      "id": "string",
      "opened_at": "2026-04-08T04:11:41.530Z",
      "processor_batch_id": null,
      "processor_config_id": "string",
      "processor_name": "string",
      "refunded_amount": 0,
      "response": null,
      "status": "open",
      "terminal_id": "string",
      "transaction_count": 0
    }
  ],
  "limit": 1,
  "offset": 1,
  "page": 1,
  "total": 1,
  "additionalProperty": "anything"
}